util: add a small script to help with the merging of branches stable
authorPierre-Yves David <pierre-yves.david@octobus.net>
Mon, 23 Oct 2017 15:55:12 +0200
branchstable
changeset 3133 13a4c35f7a0b
parent 3126 70dbd02f5869
child 3137 c3953ae44b87
util: add a small script to help with the merging of branches We have multiple test-compat branches merging them can be a bit tedious. We add a nice script doing so for us.
contrib/merge-test-compat.sh
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/contrib/merge-test-compat.sh	Mon Oct 23 15:55:12 2017 +0200
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -euox pipefail
+
+unset GREP_OPTIONS
+NOTOPIC="--config experimental.topic-mode=ignore"
+
+compatbranches=`hg branches --quiet | grep 'mercurial-' | grep -v ':' | sort -n --reverse`
+prev='stable'
+for branch in $compatbranches; do
+    hg up $branch
+    hg merge $prev
+    hg commit -m "test-compat: merge $prev into $branch"
+    prev=$branch
+done
+